Bug 1567783 - Mater node bootstrap failed if openshift_node_bootstrap is set to false
Summary: Mater node bootstrap failed if openshift_node_bootstrap is set to false
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.10.0
Assignee: Russell Teague
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 08:20 UTC by Gan Huang
Modified: 2019-10-22 13:16 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-01 12:45:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1565058 0 medium CLOSED Installation failed at Update the sysconfig to group "node-config-master" 2021-02-22 00:41:40 UTC

Internal Links: 1565058

Description Gan Huang 2018-04-16 08:20:04 UTC
Description of problem:
Node failed to register if openshift_node_bootstrap is set to false

Version-Release number of the following components:
openshift-ansible-3.10.0-0.21.0.git.0.0b1d180.el7.noarch.rpm

How reproducible:
always

Steps to Reproduce:
1. Trigger installation with "openshift_node_bootstrap=false"
2.
3.

Actual results:
TASK [openshift_manage_node : Wait for Node Registration] **********************
Monday 16 April 2018  03:41:32 -0400 (0:00:00.037)       0:14:01.009 ********** 
FAILED - RETRYING: Wait for Node Registration (50 retries left).
<--snip-->
fatal: [qe-ghuang-test2-node-registry-router-1.0416-c6u.qe.rhcloud.com -> qe-ghuang-test2-master-etcd-1.0416-c6u.qe.rhcloud.com]: FAILED! => {"attempts": 50, "changed": false, "failed": true, "results": {"cmd": "/usr/bin/oc get node qe-ghuang-test2-node-registry-router-1 -o json -n default", "results": [{}], "returncode": 0, "stderr": "Error from server (NotFound): nodes \"qe-ghuang-test2-node-registry-router-1\" not found\n", "stdout": ""}, "state": "list"}

Expected results:

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 3 Gan Huang 2018-04-19 06:38:00 UTC
It appears to me we can't set "openshift_node_bootstrap=false" as global ansible parameter, we need to have the master node bootstrapped at least so that the control plane can be setup.

Comment 4 Russell Teague 2018-04-19 19:19:09 UTC
Confirmed setting "openshift_node_bootstrap=false" as a global variable causes master nodes to fail bootstrapping.  Master nodes should always bootstrap regardless of inventory settings.

Clayton,
We need to either correct the logic usage of openshift_node_bootstrap or remove the option to NOT bootstrap some nodes.

Comment 5 Scott Dodson 2018-05-01 12:45:51 UTC
Our plan is that all users must enable bootstrapping for new installs.

For upgrades, we'll block the upgrade until they've created configmaps that match their node group definition and reference documentation that explains how to create those. Realize that this will mean that they will have to manually port over some configuration values from node-config.yaml to the configmaps and that some options may not be available in the new bootstrapped model. Those options are to be considered deprecated.

Comment 6 Gan Huang 2018-06-01 03:05:18 UTC
I can't see any implementation around upgrade as comment 5.

Scott, the plan had changed or am i missing something?


Note You need to log in before you can comment on or make changes to this bug.